diff --git a/content/doc/archives/_index.md b/content/doc/archives/_index.md
index b72ebee..b12ddf7 100644
--- a/content/doc/archives/_index.md
+++ b/content/doc/archives/_index.md
@@ -2,6 +2,11 @@
 title = "Archives"
 +++
 
+- DPDK 20.08
+| [HTML API](//doc.dpdk.org/api-20.08/)
+| [HTML guides](//doc.dpdk.org/guides-20.08/)
+| [PDF guides](//fast.dpdk.org/doc/pdf-guides-20.08/)
+
 - DPDK 20.05
 | [HTML API](//doc.dpdk.org/api-20.05/)
 | [HTML guides](//doc.dpdk.org/guides-20.05/)
diff --git a/content/download/_index.md b/content/download/_index.md
index 3e20217..88626ea 100644
--- a/content/download/_index.md
+++ b/content/download/_index.md
@@ -5,10 +5,10 @@ weight = "2"
 
 <section class="download-container">
 <div class="dwnld-btn-group">
-<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-20.05.tar.xz">
+<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-20.08.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest\
-  20.05.0
+  20.08.0
 </a>
 <a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-19.11.3.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
@@ -25,6 +25,7 @@ weight = "2"
 
 | file                                                          | date/changelog                                                               | md5                              |
 |---------------------------------------------------------------|------------------------------------------------------------------------------|----------------------------------|
+| [DPDK 20.08.0](//fast.dpdk.org/rel/dpdk-20.08.tar.xz)         | [2020 August 8](//doc.dpdk.org/guides-20.08/rel_notes/release_20_08.html)    | 8391097f3c7750e0993cbe28c5851cf5 |
 | [DPDK 20.05.0](//fast.dpdk.org/rel/dpdk-20.05.tar.xz)         | [2020 May 26](//doc.dpdk.org/guides-20.05/rel_notes/release_20_05.html)      | 7c6f3e7f7de2422775c4cba116012c4d |
 | [DPDK 20.02.1](//fast.dpdk.org/rel/dpdk-20.02.1.tar.xz)       | [2020 May 18](//doc.dpdk.org/guides-20.02/rel_notes/release_20_02.html)      | fd04cb05c728f474b438c6e7aa1eb195 |
 | [DPDK 19.11.3 (LTS)](//fast.dpdk.org/rel/dpdk-19.11.3.tar.xz) | [2020 June 18](//doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html)     | 49fb8f2397d539e79edd3731ad37b195 |
diff --git a/content/roadmap/_index.md b/content/roadmap/_index.md
index a284668..a617f37 100644
--- a/content/roadmap/_index.md
+++ b/content/roadmap/_index.md
@@ -9,69 +9,33 @@ This is not a commitment but plan of work.
 This list is obviously neither complete nor guaranteed.
 {{% /notice %}}
 
-### Version 20.08 (2020 August) {#2008}
+### Version 20.11 (2020 November) {#2011}
 
 <!-- General -->
-- external thread registration API
-- log registration constructor
-- removal of non-kernel based PCI probing
-- bit operations API for drivers
 - x86 direct-store (write-combined) memory write (movdiri)
-- Arm CPU frequency calculation using generic counter
-- Armv8-a IO barriers changed to use DMB instruction
 - Arm CRC32 in generic API
-- C11 atomic semantics in mbuf, eventdev, EAL interrupts
 <!-- Networking -->
-- integrate RCU library with LPM library
 - FIB vector lookup
 - Tx QoS marking API
 - flow action object API
 - flow sampling and mirroring API
 <!-- Network drivers -->
-- bnxt VF representor and multi-device
-- bnxt optimization for Arm, burst mode info and flow counters
-- bnxt VLAN pop/push, VXLAN encap/decap, L2/L3/L4 rewrite and TTL decrement
-- i40e switch filter programming for DNS
-- i40e flow director rule insertion rate optimization
-- ice DCF, GTP-U, IPv6 RSS, and PPPoE enhancement
-- ice flow based RSS improvement and add more protocols
-- ice ethertype filtering on flow director
-- ixgbe/i40e legacy filter API replacement
-- igb/ixgbe/i40e/ice base code update
 - performance optimizations in mlx drivers for Arm platforms
-- mlx5 memory management options, and queue stop/start
-- mlx5 eCPRI matching and Tx scheduling for 5G
-- mlx5 vDPA device counters
-- octeontx2 parameters for Rx/Tx context locking
 - octeontx2 packet mirroring
+- octeontx2 rte_tm enhancement
 - qede SR-IOV PF
 <!-- Virtualisation -->
-- vhost async API
 - vhost DMA operations with CBDMA ioat driver
-- vhost REPLY_ACK advertised unconditionally
-- vhost SET_STATUS
 - virtio-user GET/SET_PROTOCOL_FEATURES, REPLY_ACK, SET_STATUS
 <!-- Network apps -->
 - IF proxy
-- testpmd swap forwarding for L2/L3/L4
-- l2fwd forwarding between asymmetric ports
 - performance test for IP reassembly
-- performance test application for flow rules
 <!-- Crypto -->
-- crypto-CRC chained operation
-- octeontx2 crypto protocol lookaside and ChaCha-Poly
-- qat multi-process support and Chacha-Poly
-- ipsec-secgw flow distribution and stats per-core
 <!-- Others -->
-- regexdev
 - regex driver based on libpcre
 - Dynamic Load Balancer event driver
 - UBSan in build
 
-### Version 20.11 (2020 November) {#2011}
-
-- rte_tm enhancement for OCTEON TX2
-
 ### Nice to have - Future {#future}
 ----
 - integrate RCU deferred resource reclamation API with hash library
@@ -105,18 +69,12 @@ The last period is 1 month long and is dedicated to bug fixing.
 ### Scheduling {#dates}
 ----
 
-#### 20.08
-
-- Proposal deadline (patch version v1): June 12, 2020
-- First release candidate (-rc1): July 12, 2020
-- Second release candidate (-rc2): July 21, 2020
-- Third release candidate (-rc3): July 29, 2020
-- Fourth release candidate (-rc4): August 5, 2020
-- Release: August 7, 2020
-
 #### 20.11
 
-- Release: November 2020
+- Proposal deadline (RFC/v1 patches): September 11, 2020
+- API freeze (-rc1): October 9, 2020
+- PMD features freeze (-rc2): October 23, 2020
+- Release: November 13, 2020
 
 ### Stable Releases {#stable}
 ----