diff --git a/content/doc/_index.md b/content/doc/_index.md
index d226409..f3393d6 100644
--- a/content/doc/_index.md
+++ b/content/doc/_index.md
@@ -14,8 +14,6 @@ For a first try, you should follow the [quick start instructions](/doc/quick-sta
   {{< button href="//doc.dpdk.org/guides/linux_gsg/" >}} Linux User Guide {{< /button >}}
   {{< button href="//doc.dpdk.org/guides/prog_guide/" >}} Programmer's Guide {{< /button >}}
   {{< button href="//doc.dpdk.org/api/" >}} API Documentation {{< /button >}}
-
-  ***Documentation is also available in [PDF format](//fast.dpdk.org/doc/pdf-guides/)***.
 </center>
 
 ### Other
diff --git a/content/doc/archives/_index.md b/content/doc/archives/_index.md
index b12ddf7..413fd1e 100644
--- a/content/doc/archives/_index.md
+++ b/content/doc/archives/_index.md
@@ -2,6 +2,10 @@
 title = "Archives"
 +++
 
+- DPDK 20.11
+| [HTML API](//doc.dpdk.org/api-20.11/)
+| [HTML guides](//doc.dpdk.org/guides-20.11/)
+
 - DPDK 20.08
 | [HTML API](//doc.dpdk.org/api-20.08/)
 | [HTML guides](//doc.dpdk.org/guides-20.08/)
diff --git a/content/download/_index.md b/content/download/_index.md
index e0bb061..8cda8fe 100644
--- a/content/download/_index.md
+++ b/content/download/_index.md
@@ -5,15 +5,15 @@ weight = "2"
 
 <section class="download-container">
 <div class="dwnld-btn-group">
-<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-20.08.tar.xz">
+<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-20.11.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest\
-  20.08.0
+  20.11.0
 </a>
 <a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-19.11.5.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest Long Term Stable (LTS)\
-  19.11.5
+  20.11.0
 </a>
 <a class="dwnld-btn" href="/roadmap">
   {{< icon name="glyphicon glyphicon-calendar" size="large" >}}
@@ -25,6 +25,7 @@ weight = "2"
 
 | file                                                          | date/changelog                                                               | md5                              |
 |---------------------------------------------------------------|------------------------------------------------------------------------------|----------------------------------|
+| [DPDK 20.11.0 (LTS)](//fast.dpdk.org/rel/dpdk-20.11.tar.xz)   | [2020 November 27](//doc.dpdk.org/guides-20.11/rel_notes/release_20_11.html) | 13a990dc3b300635f685e268b36918a3 |
 | [DPDK 20.08.0](//fast.dpdk.org/rel/dpdk-20.08.tar.xz)         | [2020 August 8](//doc.dpdk.org/guides-20.08/rel_notes/release_20_08.html)    | 64badd32cd6bc0761befc8f2402c2148 |
 | [DPDK 20.05.0](//fast.dpdk.org/rel/dpdk-20.05.tar.xz)         | [2020 May 26](//doc.dpdk.org/guides-20.05/rel_notes/release_20_05.html)      | 7c6f3e7f7de2422775c4cba116012c4d |
 | [DPDK 20.02.1](//fast.dpdk.org/rel/dpdk-20.02.1.tar.xz)       | [2020 May 18](//doc.dpdk.org/guides-20.02/rel_notes/release_20_02.html)      | fd04cb05c728f474b438c6e7aa1eb195 |
diff --git a/content/roadmap/_index.md b/content/roadmap/_index.md
index 15028ad..82ae75d 100644
--- a/content/roadmap/_index.md
+++ b/content/roadmap/_index.md
@@ -9,38 +9,17 @@ This is not a commitment but plan of work.
 This list is obviously neither complete nor guaranteed.
 {{% /notice %}}
 
-### Version 20.11 (2020 November) {#2011}
+### Version 21.02 (2021 February) {#2102}
 
 <!-- General -->
-- x86 direct-store (write-combined) memory write (movdiri)
 - Arm CRC32 in generic API
-- scatter-gather API for ring library
-- integrate RCU deferred resource reclamation API with hash library
-- performance improvements to stack library
-- use C11 atomic builtins in bbdev, eal, ethdev and power libraries
 <!-- Networking -->
-- FIB vector lookup
-- RSS encapsulation level
 - Tx QoS marking API
-- flow action object API
-- flow sampling and mirroring API
-- flow matching on IPv4/v6 frag/non-frag packets
-- tunnel offload API
-- hairpin between different ports
-- Rx buffer split to multiple destinations
 <!-- Network drivers -->
-- bnxt SR-IOV PF, mirroring, VXLAN decap and RSS encapsulation level
-- bnxt vSwitch acceleration and vector modes performance improvements
-- performance optimizations in mlx drivers for Arm platforms
-- mlx5 Rx buffer split
-- mlx5 flow sampling/mirroring and extended matching
-- mlx5 thread-safe flow rules management and improved performance
-- octeontx2 packet mirroring and VLAN insertion/strip
-- octeontx2 rte_tm enhancement
-- qede SR-IOV PF and flow API support
+- bnxt mirroring
+- octeontx2 packet mirroring
+- qede flow API support
 <!-- Virtualisation -->
-- vhost DMA operations with CBDMA ioat driver
-- virtio-user GET/SET_PROTOCOL_FEATURES, REPLY_ACK, SET_STATUS
 <!-- Network apps -->
 - IF proxy
 - performance test for IP reassembly
@@ -48,15 +27,10 @@ This list is obviously neither complete nor guaranteed.
 <!-- Crypto -->
 - IPv6 in lookaside IPsec example
 - anti-replay in inline IPsec example
-- Stingray crypto
-- nitrox AES-GCM and cipher only offload
-- octeontx2 eventdev crypto adapter
 <!-- Compress -->
 - mlx5 compressdev
 <!-- Others -->
 - regex driver based on libpcre
-- regex Marvell driver
-- Dynamic Load Balancer event driver
 - UBSan in build
 
 ### Nice to have - Future {#future}
@@ -91,15 +65,6 @@ The last period is 1 month long and is dedicated to bug fixing.
 ### Scheduling {#dates}
 ----
 
-#### 20.11
-
-- Proposal deadline (RFC/v1 patches): September 11, 2020
-- API freeze (-rc1): October 16, 2020
-- PMD features freeze (-rc2): November 3, 2020
-- -rc3: November 5, 2020
-- -rc4: November 13, 2020
-- Release: November 27, 2020
-
 #### 21.02
 
 - Proposal deadline (RFC/v1 patches): December 20, 2020