diff --git a/content/doc/archives/_index.md b/content/doc/archives/_index.md
index 056e541..e4e077f 100644
--- a/content/doc/archives/_index.md
+++ b/content/doc/archives/_index.md
@@ -2,6 +2,10 @@
 title = "Archives"
 +++
 
+- DPDK 21.08
+| [HTML API](//doc.dpdk.org/api-21.08/)
+| [HTML guides](//doc.dpdk.org/guides-21.08/)
+
 - DPDK 21.05
 | [HTML API](//doc.dpdk.org/api-21.05/)
 | [HTML guides](//doc.dpdk.org/guides-21.05/)
diff --git a/content/download/_index.md b/content/download/_index.md
index 1baad4d..950ad98 100644
--- a/content/download/_index.md
+++ b/content/download/_index.md
@@ -5,10 +5,10 @@ weight = "2"
 
 <section class="download-container">
 <div class="dwnld-btn-group">
-<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-21.05.tar.xz">
+<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-21.08.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest\
-  21.05.0
+  21.08.0
 </a>
 <a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-20.11.2.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
@@ -25,6 +25,7 @@ weight = "2"
 
 | file                                                          | date/changelog                                                               | md5                              |
 |---------------------------------------------------------------|------------------------------------------------------------------------------|----------------------------------|
+| [DPDK 21.08.0](//fast.dpdk.org/rel/dpdk-21.08.tar.xz)         | [2021 August 8](//doc.dpdk.org/guides-21.08/rel_notes/release_21_08.html)    | de33433a1806280996a0ecbe66e3642f |
 | [DPDK 21.05.0](//fast.dpdk.org/rel/dpdk-21.05.tar.xz)         | [2021 May 21](//doc.dpdk.org/guides-21.05/rel_notes/release_21_05.html)      | a78bba290b11d9717d1272cc6bfaf7c3 |
 | [DPDK 21.02.0](//fast.dpdk.org/rel/dpdk-21.02.tar.xz)         | [2021 February 14](//doc.dpdk.org/guides-21.02/rel_notes/release_21_02.html) | 2c3e4800b04495ad7fa8656a7e1a3ec1 |
 | [DPDK 20.11.2 (LTS)](//fast.dpdk.org/rel/dpdk-20.11.2.tar.xz) | [2021 July 8](//doc.dpdk.org/guides-20.11/rel_notes/release_20_11.html)     | c01cf1ea8ca87c0bd43872cf32d6b1f7 |
diff --git a/content/roadmap/_index.md b/content/roadmap/_index.md
index 8c41b36..d987bfd 100644
--- a/content/roadmap/_index.md
+++ b/content/roadmap/_index.md
@@ -9,50 +9,30 @@ This is not a commitment but plan of work.
 This list is obviously neither complete nor guaranteed.
 {{% /notice %}}
 
-### Version 21.08 (2021 August) {#2108}
+### Version 21.11 (2021 November) {#2111}
 
 <!-- General -->
-- auxiliary bus
 - Arm CRC32 in generic API
-- Aarch32 cross-compilation support
 <!-- Networking -->
 - Tx QoS marking API
-- l3fwd performance improvements
-- testpmd multi-process
-- multi-queue capability for PMD power enhancements
 - AVF software back-end driver with device emulation libraries
 <!-- Network drivers -->
-- bnxt AVX2, rte_flow RSS, redirection and dynamic queue
 - bonding Tx prepare
-- hns3 link up/down, PFC disabling, multiple TC MAC pause
-- hns3 VF VLAN filter, push mode for Tx
-- IAVF PMD support for Windows
-- ice PMD support for ETS based HQoS for VF
-- ice PMD support for FDIR/RSS on GTP over GRE for VF
-- i40e performance improvements on Arm
-- mlx5 performance improvements on Arm
-- mlx5 Scalable Function (SF)
-- mlx5 flow rule insertion performance improved
-- mlx5 metering rule extended, duplicate rule rejection
+- hns3 link up/down
+- iavf support for Windows
+- ice FDIR/RSS on GTP over GRE for VF
 - mlx5 inline IPsec ESP crypto
 - octeontx2 mirroring
-- octeontx3 driver for ethdev and rte_flow support
 - qede initial support for next generation hardware
 - qede flow API support
-- Wangxun driver for 1Gb NICs
 <!-- Virtualisation -->
-- enhanced async support for vhost library
 <!-- Network apps -->
-- testpmd multi-process support
+- testpmd multi-process
 <!-- Crypto -->
-- QuickAssist symmetric crypto driver for 4th generation devices
-- mlx5 AES-XTS look-aside crypto
 <!-- Compress -->
 <!-- Event -->
 - event vector support in SW Rx eventdev adapter
 <!-- Others -->
-- CPPC power driver
-- C11 atomic built-ins in app/test
 
 ### Nice to have - Future {#future}
 ----
@@ -92,16 +72,12 @@ The last period is 1 month long and is dedicated to bug fixing.
 ### Scheduling {#dates}
 ----
 
-#### 21.08
-
-- Proposal deadline (RFC/v1 patches): 2 June 2021
-- API freeze (-rc1): 5 July 2021
-- PMD features freeze (-rc2): 19 July 2021
-- Release: 3 August 2021
-
 #### 21.11
 
-- Release: November 2021
+- Proposal deadline (RFC/v1 patches): 10 September 2021
+- API freeze (-rc1): 15 October 2021
+- PMD features freeze (-rc2): 29 October 2021
+- Release: 19 November 2021
 
 ### Stable Releases {#stable}
 ----