diff --git a/content/doc/archives/_index.md b/content/doc/archives/_index.md
index e4e077f..47e5dbb 100644
--- a/content/doc/archives/_index.md
+++ b/content/doc/archives/_index.md
@@ -2,6 +2,10 @@
 title = "Archives"
 +++
 
+- DPDK 21.11
+| [HTML API](//doc.dpdk.org/api-21.11/)
+| [HTML guides](//doc.dpdk.org/guides-21.11/)
+
 - DPDK 21.08
 | [HTML API](//doc.dpdk.org/api-21.08/)
 | [HTML guides](//doc.dpdk.org/guides-21.08/)
diff --git a/content/download/_index.md b/content/download/_index.md
index b50148f..ec2e32b 100644
--- a/content/download/_index.md
+++ b/content/download/_index.md
@@ -5,15 +5,15 @@ weight = "2"
 
 <section class="download-container">
 <div class="dwnld-btn-group">
-<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-21.08.tar.xz">
+<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-21.11.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest\
-  21.08.0
+  21.11.0
 </a>
-<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-20.11.3.tar.xz">
+<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-21.11.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest Long Term Stable (LTS)\
-  20.11.3
+  21.11.0
 </a>
 <a class="dwnld-btn" href="/roadmap">
   {{< icon name="glyphicon glyphicon-calendar" size="large" >}}
@@ -25,6 +25,7 @@ weight = "2"
 
 | file                                                          | date/changelog                                                               | md5                              |
 |---------------------------------------------------------------|------------------------------------------------------------------------------|----------------------------------|
+| [DPDK 21.11.0](//fast.dpdk.org/rel/dpdk-21.11.tar.xz)         | [2021 November 26](//doc.dpdk.org/guides-21.11/rel_notes/release_21_11.html) | 58660bbbe9e95abce86e47692b196555 |
 | [DPDK 21.08.0](//fast.dpdk.org/rel/dpdk-21.08.tar.xz)         | [2021 August 8](//doc.dpdk.org/guides-21.08/rel_notes/release_21_08.html)    | de33433a1806280996a0ecbe66e3642f |
 | [DPDK 21.05.0](//fast.dpdk.org/rel/dpdk-21.05.tar.xz)         | [2021 May 21](//doc.dpdk.org/guides-21.05/rel_notes/release_21_05.html)      | a78bba290b11d9717d1272cc6bfaf7c3 |
 | [DPDK 21.02.0](//fast.dpdk.org/rel/dpdk-21.02.tar.xz)         | [2021 February 14](//doc.dpdk.org/guides-21.02/rel_notes/release_21_02.html) | 2c3e4800b04495ad7fa8656a7e1a3ec1 |
diff --git a/content/roadmap/_index.md b/content/roadmap/_index.md
index ef0da71..069c5c4 100644
--- a/content/roadmap/_index.md
+++ b/content/roadmap/_index.md
@@ -9,65 +9,30 @@ This is not a commitment but plan of work.
 This list is obviously neither complete nor guaranteed.
 {{% /notice %}}
 
-### Version 21.11 (2021 November) {#2111}
+### Version 22.03 (2022 March) {#2203}
 
 <!-- General -->
-- wait API extended
-- Arm features based on compiler availability
 - Arm CRC32 in generic API
-- oops handler
-- mempool registration improvement
 <!-- Networking -->
-- optimized Toeplitz hash function
-- flexible protocol parser
-- shared queue
 - Tx QoS marking API
 - VLAN-based input color metering
 - IP reassembly offload
 - AVF software back-end driver with device emulation libraries
 <!-- Network drivers -->
-- bnxt RSS flow action
-- bnxt full offload for Thor
 - bonding Tx prepare
-- cnxk inline IPsec, traffic manager, policing and metering
-- hns3 refactoring and performance optimization
-- i40evf PMD removal
-- iavf support for Windows
-- ice DCF reset API
-- ice PF flow feature extension and add IEEE1588 and 1PPS
-- ice PF protocol agnostics flow offloading (experimental)
 - mlx5 inline IPsec ESP crypto
-- mlx5 shared queue and flexible parser
 - octeontx2 mirroring
 - qede initial support for next generation hardware
 - qede flow API support
 <!-- Virtualisation -->
-- rte_power_monitor in virtio/vhost
-- IOMMU for Intel® Data Streaming Accelerator in async vhost
 - vhost async dequeue for split ring and enable in vhost sample app
-- vhost async API for thread unsafe checking and thread safe clearing of in-flight packets
 <!-- Network apps -->
-- testpmd multi-process
 <!-- Crypto -->
-- cryptodev telemetry
-- multi-process improvements for software crypto PMDs
-- accommodation of different QAT driver versions
-- cnxk crypto adapter and more protocols
-- IPsec SA lifetime configuration
-- IPsec unit tests
 <!-- Compress -->
 <!-- Event -->
 - event vector support in SW Rx eventdev adapter
-- event vector in examples
 - control adapter and RX adapter enhancements in DLB driver
 <!-- Others -->
-- GPU device API
-- DMA device API
-- DMA driver for Kunpeng 920
-- DMA driver for Intel® Data Streaming Accelerator
-- DMA driver for Intel® QuickData Technology DMA Engine
-- DMA driver for Marvell cnxk
-- test suite for new dmadev class library
 
 ### Nice to have - Future {#future}
 ----
@@ -107,14 +72,13 @@ The last period is 1 month long and is dedicated to bug fixing.
 ### Scheduling {#dates}
 ----
 
-#### 21.11
+#### 22.03
 
-- Proposal deadline (RFC/v1 patches): 10 September 2021
-- API freeze (-rc1): 25 October 2021
-- PMD features freeze (-rc2): 8 November 2021
-- Builtin applications features freeze (-rc3): 16 November 2021
-- Last release candidate (-rc4): 22 November 2021
-- Release: 24 November 2021
+- Proposal deadline (RFC/v1 patches): 24 December 2021
+- API freeze (-rc1): 2 February 2022
+- PMD features freeze (-rc2): 23 February 2022
+- Builtin applications features freeze (-rc3): 2 March 2022
+- Release: early March 2022
 
 ### Stable Releases {#stable}
 ----