diff --git a/content/doc/archives/_index.md b/content/doc/archives/_index.md
index 47e5dbb..a00134e 100644
--- a/content/doc/archives/_index.md
+++ b/content/doc/archives/_index.md
@@ -2,6 +2,10 @@
 title = "Archives"
 +++
 
+- DPDK 22.03
+| [HTML API](//doc.dpdk.org/api-22.03/)
+| [HTML guides](//doc.dpdk.org/guides-22.03/)
+
 - DPDK 21.11
 | [HTML API](//doc.dpdk.org/api-21.11/)
 | [HTML guides](//doc.dpdk.org/guides-21.11/)
diff --git a/content/download/_index.md b/content/download/_index.md
index 64aada4..dacef4a 100644
--- a/content/download/_index.md
+++ b/content/download/_index.md
@@ -5,10 +5,10 @@ weight = "2"
 
 <section class="download-container">
 <div class="dwnld-btn-group">
-<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-21.11.tar.xz">
+<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-22.03.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest\
-  21.11.0
+  22.03.0
 </a>
 <a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-21.11.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
@@ -25,6 +25,7 @@ weight = "2"
 
 | file                                                          | date/changelog                                                               | md5                              |
 |---------------------------------------------------------------|------------------------------------------------------------------------------|----------------------------------|
+| [DPDK 22.03.0](//fast.dpdk.org/rel/dpdk-22.03.tar.xz)         | [2022 March 17](//doc.dpdk.org/guides-22.03/rel_notes/release_22_03.html)    | a07ca8839f98062f46e1cc359735cce8 |
 | [DPDK 21.11.0](//fast.dpdk.org/rel/dpdk-21.11.tar.xz)         | [2021 November 26](//doc.dpdk.org/guides-21.11/rel_notes/release_21_11.html) | 58660bbbe9e95abce86e47692b196555 |
 | [DPDK 21.08.0](//fast.dpdk.org/rel/dpdk-21.08.tar.xz)         | [2021 August 8](//doc.dpdk.org/guides-21.08/rel_notes/release_21_08.html)    | de33433a1806280996a0ecbe66e3642f |
 | [DPDK 21.05.0](//fast.dpdk.org/rel/dpdk-21.05.tar.xz)         | [2021 May 21](//doc.dpdk.org/guides-21.05/rel_notes/release_21_05.html)      | a78bba290b11d9717d1272cc6bfaf7c3 |
diff --git a/content/roadmap/_index.md b/content/roadmap/_index.md
index a77406e..ee516f9 100644
--- a/content/roadmap/_index.md
+++ b/content/roadmap/_index.md
@@ -9,29 +9,18 @@ This is not a commitment but plan of work.
 This list is obviously neither complete nor guaranteed.
 {{% /notice %}}
 
-### Version 22.03 (2022 March) {#2203}
+### Version 22.07 (2022 July) {#2207}
 
 <!-- General -->
-- allow hugepage reuse at startup
 - index-based per core mempool cache
 - Arm CRC32 in generic API
 <!-- Networking -->
-- ethdev queue info dump API
-- ethdev private info API
-- flow template API
-- flow management queue API
 - direct-rearm of Rx side buffers
 - Tx QoS marking API
 - VLAN-based input color metering
-- IP reassembly offload
 - AVF software back-end driver with device emulation libraries
 <!-- Network drivers -->
-- af_xdp secondary process
-- af_xdp with libxdp library
 - bonding Tx prepare
-- ice flow director and flow API enhancements
-- mlx5 external queue
-- mlx5 flow management queue and template
 - mlx5 inline IPsec ESP crypto
 - octeontx2 mirroring
 - qede initial support for next generation hardware
@@ -45,14 +34,12 @@ This list is obviously neither complete nor guaranteed.
 <!-- Network apps -->
 - more info in dpdk-proc-info
 <!-- Crypto -->
-- qat async crypto
 - qat with OpenSSL-3.0 library
 <!-- Compress -->
 <!-- Event -->
 - event vector support in SW Rx eventdev adapter
 - control adapter and RX adapter enhancements in DLB driver
 <!-- Others -->
-- hisilicon DMA engine for Kunpeng 930
 
 ### Nice to have - Future {#future}
 ----
@@ -92,15 +79,6 @@ The last period is approximately 1 month long and is dedicated to bug fixing.
 ### Scheduling {#dates}
 ----
 
-#### 22.03
-
-- Proposal deadline (RFC/v1 patches): 31 December 2021
-- API freeze (-rc1): 11 February 2022
-- PMD features freeze (-rc2): 25 February 2022
-- Builtin applications features freeze (-rc3): 8 March 2022
-- Last fixes (-rc4): 14 March 2022
-- Release: 16 March 2022
-
 #### 22.07
 
 - Proposal deadline (RFC/v1 patches): 10 April 2022