diff --git a/content/doc/archives/_index.md b/content/doc/archives/_index.md
index 382747b..8de8e3f 100644
--- a/content/doc/archives/_index.md
+++ b/content/doc/archives/_index.md
@@ -2,6 +2,10 @@
 title = "Archives"
 +++
 
+- DPDK 23.03
+| [HTML API](//doc.dpdk.org/api-23.03/)
+| [HTML guides](//doc.dpdk.org/guides-23.03/)
+
 - DPDK 22.11
 | [HTML API](//doc.dpdk.org/api-22.11/)
 | [HTML guides](//doc.dpdk.org/guides-22.11/)
diff --git a/content/download/_index.md b/content/download/_index.md
index 1996a3e..568f7b7 100644
--- a/content/download/_index.md
+++ b/content/download/_index.md
@@ -5,10 +5,10 @@ weight = "2"
 
 <section class="download-container">
 <div class="dwnld-btn-group">
-<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-22.11.1.tar.xz">
+<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-23.03.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest\
-  22.11.1
+  23.03.0
 </a>
 <a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-22.11.1.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
@@ -25,6 +25,7 @@ weight = "2"
 
 | file                                                          | date/changelog                                                               | md5                              |
 |---------------------------------------------------------------|------------------------------------------------------------------------------|----------------------------------|
+| [DPDK 23.03.0](//fast.dpdk.org/rel/dpdk-23.03.tar.xz)         | [2023 March 31](//doc.dpdk.org/guides-23.03/rel_notes/release_23_03.html)    | 3cf8ebbcd412d5726db230f2eeb90cc9 |
 | [DPDK 22.11.1 (LTS)](//fast.dpdk.org/rel/dpdk-22.11.1.tar.xz) | [2022 December 2](//doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html)  | 0594708fe42ce186a55b0235c6e20cfe |
 | [DPDK 22.07.0](//fast.dpdk.org/rel/dpdk-22.07.tar.xz)         | [2022 July 17](//doc.dpdk.org/guides-22.07/rel_notes/release_22_07.html)     | fb73b58b80b1349cd05fe9cf6984afd4 |
 | [DPDK 22.03.0](//fast.dpdk.org/rel/dpdk-22.03.tar.xz)         | [2022 March 17](//doc.dpdk.org/guides-22.03/rel_notes/release_22_03.html)    | a07ca8839f98062f46e1cc359735cce8 |
diff --git a/content/roadmap/_index.md b/content/roadmap/_index.md
index 9e8f687..e365176 100644
--- a/content/roadmap/_index.md
+++ b/content/roadmap/_index.md
@@ -9,45 +9,26 @@ This is not a commitment but plan of work.
 This list is obviously neither complete nor guaranteed.
 {{% /notice %}}
 
-### Version 23.03 (2023 March) {#2303}
+### Version 23.07 (2023 July) {#2307}
 
 <!-- General -->
 - non-temporal memory copy
 - mempool cache zero-copy get/put bulk
 - index-based per core mempool cache
 - memarea library
-- PMD power management Arm implementation
 - PMU counter for self monitoring/profiling
-- machine learning inference device library and test application
 - PDCP protocol library
-- vfio-platform bus
 - dmadev trace points
 <!-- Networking -->
-- reorder API to drain buffers by sequence number
 - direct-rearm of Rx side buffers
 - Tx QoS marking API
-- flow matching on IPv6 routing extension
-- flow matching on ICMPv6 ID and sequence
-- flow matching on port affinity and set affinity in Tx queue
-- flow direction hint in transfer table
-- flow quota
-- flow flex modify
-- flow indirect action sharing between ports
-- flow template table insertion and matching types
-- flow process migration
-- ethdev trace points
 - ethdev telemetry RSS, Rx/Tx burst mode info
 <!-- Network drivers -->
-- memif performance optimization
 - octeontx2 mirroring
 - qede initial support for next generation hardware
 - qede flow API support
 - spnic driver for Ramaxel devices
 - mlx5 flow matching of all switch ports in one rule
-- igc PTP timesync and Tx timestamp for Intel I225
-- cpfl driver for Intel IPU E2100
-- idpf features for Intel IPU E2100
-- af_xdp Kubernetes CNI
 <!-- Virtualisation -->
 - vhost small copy with CPU in DSA-accelerated vhost
 - vhost port mirroring with DMAdev
@@ -55,21 +36,12 @@ This list is obviously neither complete nor guaranteed.
 <!-- Network apps -->
 - testpmd attach/detach on primary and secondary
 <!-- Crypto -->
-- pipeline IPsec for tunnel and transport modes
-- cryptodev SHAKE algorithm
-- cryptodev query for error interrupt event
 - qat without dependency on OpenSSL-1.x
-- qat asymmetric for Gen 3
-- qat SHA3
 <!-- Compress -->
-- compressdev LZ4 algorithm
 <!-- Event -->
 - control adapter and RX adapter enhancements in DLB driver
-- eventdev trace points
 <!-- Others -->
-- graph pcap capture
 - DMA performance test tool
-- DTS run "Hello World" application
 
 ### Nice to have - Future {#future}
 ----
@@ -109,17 +81,9 @@ The last period is approximately 1 month long and is dedicated to bug fixing.
 ### Scheduling {#dates}
 ----
 
-#### 23.03
-
-- Proposal deadline (RFC/v1 patches): 25 December 2022
-- API freeze (-rc1): 8 February 2023
-- PMD features freeze (-rc2): 1 March 2023
-- Builtin applications features freeze (-rc3): 8 March 2023
-- Release: 20 March 2023
-
 #### 23.07
 
-- Proposal deadline (RFC/v1 patches): 15 April 2023
+- Proposal deadline (RFC/v1 patches): 22 April 2023
 - API freeze (-rc1): 31 May 2023
 - PMD features freeze (-rc2): 21 June 2023
 - Builtin applications features freeze (-rc3): 28 June 2023