diff --git a/content/doc/archives/_index.md b/content/doc/archives/_index.md
index 8de8e3f..4deeaa3 100644
--- a/content/doc/archives/_index.md
+++ b/content/doc/archives/_index.md
@@ -2,6 +2,10 @@
 title = "Archives"
 +++
 
+- DPDK 23.07
+| [HTML API](//doc.dpdk.org/api-23.07/)
+| [HTML guides](//doc.dpdk.org/guides-23.07/)
+
 - DPDK 23.03
 | [HTML API](//doc.dpdk.org/api-23.03/)
 | [HTML guides](//doc.dpdk.org/guides-23.03/)
diff --git a/content/download/_index.md b/content/download/_index.md
index 26bf38e..1703ed2 100644
--- a/content/download/_index.md
+++ b/content/download/_index.md
@@ -5,10 +5,10 @@ weight = "2"
 
 <section class="download-container">
 <div class="dwnld-btn-group">
-<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-23.03.tar.xz">
+<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-23.07.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest\
-  23.03.0
+  23.07.0
 </a>
 <a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-22.11.2.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
@@ -25,6 +25,7 @@ weight = "2"
 
 | file                                                          | date/changelog                                                               | md5                              |
 |---------------------------------------------------------------|------------------------------------------------------------------------------|----------------------------------|
+| [DPDK 23.07.0](//fast.dpdk.org/rel/dpdk-23.07.tar.xz)         | [2023 July 28](//doc.dpdk.org/guides-23.07/rel_notes/release_23_07.html)     | 2b6d57f077585cb15b885482362fd47f |
 | [DPDK 23.03.0](//fast.dpdk.org/rel/dpdk-23.03.tar.xz)         | [2023 March 31](//doc.dpdk.org/guides-23.03/rel_notes/release_23_03.html)    | 3cf8ebbcd412d5726db230f2eeb90cc9 |
 | [DPDK 22.11.2 (LTS)](//fast.dpdk.org/rel/dpdk-22.11.2.tar.xz) | [2022 May 6](//doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html)  | 5f20542d9ed4d45a65ac2ab6c3aebb7d |
 | [DPDK 22.07.0](//fast.dpdk.org/rel/dpdk-22.07.tar.xz)         | [2022 July 17](//doc.dpdk.org/guides-22.07/rel_notes/release_22_07.html)     | fb73b58b80b1349cd05fe9cf6984afd4 |
diff --git a/content/roadmap/_index.md b/content/roadmap/_index.md
index 29f7479..9524315 100644
--- a/content/roadmap/_index.md
+++ b/content/roadmap/_index.md
@@ -9,35 +9,22 @@ This is not a commitment but plan of work.
 This list is obviously neither complete nor guaranteed.
 {{% /notice %}}
 
-### Version 23.07 (2023 July) {#2307}
+### Version 23.11 (2023 November) {#2311}
 
 <!-- General -->
-- memzones configuration at runtime
 - non-temporal memory copy
 - mempool cache zero-copy get/put bulk
 - index-based per core mempool cache
 - memarea library
 - ring generic implementation removal and C11 improvement
 - PMU counter for self monitoring/profiling
-- PDCP protocol library
 - dmadev trace points
 <!-- Networking -->
 - buffer recycle (a.k.a direct-rearm of Rx side buffers)
 - Tx QoS marking API
-- ethdev telemetry RSS, Rx/Tx burst mode info
-- flow item for RoCE
-- flow actions for IPv6 extensions push/remove
-- flow modify action for complex tunneling
-- flow template mirror action
-- flow template actions update
 <!-- Network drivers -->
-- mlx5 Tx tracing
 - mlx5 packet size matching
 - mlx5 flow matching of all switch ports in one rule
-- mlx5 kernel routing with flow template
-- mlx5 MPLS modify action
-- mlx5 quota
-- mlx5 multi-packet write on Windows ???
 - octeontx2 mirroring
 - qede initial support for next generation hardware
 - qede flow API support
@@ -49,19 +36,12 @@ This list is obviously neither complete nor guaranteed.
 <!-- Network apps -->
 - testpmd attach/detach on primary and secondary
 <!-- Crypto -->
-- mlx5 AES-GCM
-- ipsec_mb for tag SECLIB-IPSEC-2023.3.21
-- qat on ARM
 - qat without dependency on OpenSSL-1.x
 <!-- Compress -->
 <!-- Event -->
 - control adapter and RX adapter enhancements in DLB driver
 <!-- Others -->
-- DMA performance test tool
 - DTS automated documentation
-- DTS integration of Fabric
-- DTS abstraction of traffic generator
-- DTS non-traffic smoke tests
 - DTS Docker file
 
 ### Nice to have - Future {#future}
@@ -102,14 +82,6 @@ The last period is approximately 1 month long and is dedicated to bug fixing.
 ### Scheduling {#dates}
 ----
 
-#### 23.07
-
-- Proposal deadline (RFC/v1 patches): 22 April 2023
-- API freeze (-rc1): 12 June 2023
-- PMD features freeze (-rc2): 23 June 2023
-- Builtin applications features freeze (-rc3): 30 June 2023
-- Release: 12 July 2023
-
 #### 23.11
 
 - Proposal deadline (RFC/v1 patches): 12 August 2023