diff --git a/content/doc/archives/_index.md b/content/doc/archives/_index.md
index 4deeaa3..02d0223 100644
--- a/content/doc/archives/_index.md
+++ b/content/doc/archives/_index.md
@@ -2,6 +2,10 @@
 title = "Archives"
 +++
 
+- DPDK 23.11
+| [HTML API](//doc.dpdk.org/api-23.11/)
+| [HTML guides](//doc.dpdk.org/guides-23.11/)
+
 - DPDK 23.07
 | [HTML API](//doc.dpdk.org/api-23.07/)
 | [HTML guides](//doc.dpdk.org/guides-23.07/)
diff --git a/content/download/_index.md b/content/download/_index.md
index ff3de72..1df5617 100644
--- a/content/download/_index.md
+++ b/content/download/_index.md
@@ -5,15 +5,15 @@ weight = "2"
 
 <section class="download-container">
 <div class="dwnld-btn-group">
-<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-23.07.tar.xz">
+<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-23.11.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest\
-  23.07.0
+  23.11.0
 </a>
-<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-22.11.3.tar.xz">
+<a class="dwnld-btn" href="https://fast.dpdk.org/rel/dpdk-23.11.tar.xz">
   {{< icon name="glyphicon glyphicon-download-alt" size="large" >}}
   Latest Long Term Stable (LTS)\
-  22.11.3
+  23.11.0
 </a>
 <a class="dwnld-btn" href="/roadmap">
   {{< icon name="glyphicon glyphicon-calendar" size="large" >}}
@@ -25,6 +25,7 @@ weight = "2"
 
 | file                                                          | date/changelog                                                               | md5                              |
 |---------------------------------------------------------------|------------------------------------------------------------------------------|----------------------------------|
+| [DPDK 23.11.0](//fast.dpdk.org/rel/dpdk-23.11.tar.xz)         | [2023 November 28](//doc.dpdk.org/guides-23.11/rel_notes/release_23_11.html) | 896c09f5b45b452bd77287994650b916 |
 | [DPDK 23.07.0](//fast.dpdk.org/rel/dpdk-23.07.tar.xz)         | [2023 July 28](//doc.dpdk.org/guides-23.07/rel_notes/release_23_07.html)     | 2b6d57f077585cb15b885482362fd47f |
 | [DPDK 23.03.0](//fast.dpdk.org/rel/dpdk-23.03.tar.xz)         | [2023 March 31](//doc.dpdk.org/guides-23.03/rel_notes/release_23_03.html)    | 3cf8ebbcd412d5726db230f2eeb90cc9 |
 | [DPDK 22.11.3 (LTS)](//fast.dpdk.org/rel/dpdk-22.11.3.tar.xz) | [2023 September 11](//doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html) | 4122af79afd604df747c5661e3869336 |
diff --git a/content/roadmap/_index.md b/content/roadmap/_index.md
index 52ea1b7..344f011 100644
--- a/content/roadmap/_index.md
+++ b/content/roadmap/_index.md
@@ -9,69 +9,60 @@ This is not a commitment but plan of work.
 This list is obviously neither complete nor guaranteed.
 {{% /notice %}}
 
-### Version 23.11 (2023 November) {#2311}
+### Version 24.03 (2024 March) {#2403}
 
 <!-- General -->
-- Microsoft compiler (MSVC) support on Windows
 - non-temporal memory copy
 - mempool cache zero-copy get/put bulk
 - memarea library
 - ring generic implementation removal and C11 improvement
 - PMU counter for self monitoring/profiling
 <!-- DMA -->
-- dmadev free mbuf upon transfer completion
-- dmadev trace points
+- dmadev trace points in data path
 <!-- Networking -->
-- buffer recycle (a.k.a direct-rearm of Rx side buffers)
-- ESP packet type
-- flow color-aware mode for meters in shared actions list
 - flow action for NAT64
-- flow group miss action
-- flow item for packet type matching
-- flow template hash
 <!-- Network drivers -->
 - ntnic driver from Napatech
 - rnp driver from Mucse
-- sssnic driver from 3SNIC
 - cnxk mirroring
-- cnxk flow aging
 - cnxk port representor
-- mlx5 more tags with flow template
-- mlx5 parsing of VXLAN-GPE with NSH
-- mlx5 flow actions for Geneve and IPv6 extension push/remove
-- mlx5 indirect action for quota and raw encap/decap
-- mlx5 transfer traffic to representor
-- mlx5 switch between 2 physical ports
-- mlx5 hairpin up to 4 physical ports and queue counters
+- mlx5 flow actions for Geneve
 <!-- Virtualisation -->
-- vhost small copy with CPU in DSA-accelerated vhost
-- vhost port mirroring with DMAdev
 - virtio hash reporting
 <!-- Network apps -->
 - testpmd attach/detach on primary and secondary
 <!-- Crypto -->
-- security internal structures hidden
-- security TLS
-- security session out-of-place for inline ingress
-- cryptodev inject to ethdev Rx
-- cnxk SM2 algorithm
 - PDCP control PDU
 <!-- Compress -->
 <!-- Regex -->
 <!-- Machine Learning -->
 - mldev support of mbuf
-- mldev arbitrary shape input/output
-- cnxk mldev support TVM models
 <!-- Event -->
-- eventdev adapter for dmadev
 - eventdev adapter for mldev
-- eventdev link profiles
 - control adapter and RX adapter enhancements in DLB driver
 <!-- Others -->
-- graph test application
 - DTS automated documentation
 - DTS Docker file
 
+### Version 24.07 (2024 July) {#2407}
+
+<!-- General -->
+<!-- DMA -->
+<!-- Networking -->
+<!-- Network drivers -->
+<!-- Virtualisation -->
+- vhost small copy with CPU in DSA-accelerated vhost
+- vhost port mirroring with DMAdev
+<!-- Network apps -->
+<!-- Crypto -->
+<!-- Compress -->
+<!-- Regex -->
+<!-- Machine Learning -->
+<!-- Event -->
+<!-- Network drivers -->
+- sssnic driver from 3SNIC
+<!-- Others -->
+
 ### Nice to have - Future {#future}
 ----
 - lock-free l3fwd algorithms
@@ -110,14 +101,6 @@ The last period is approximately 1 month long and is dedicated to bug fixing.
 ### Scheduling {#dates}
 ----
 
-#### 23.11
-
-- Proposal deadline (RFC/v1 patches): 12 August 2023
-- API freeze (-rc1): 17 October 2023
-- PMD features freeze (-rc2): 6 November 2023
-- Builtin applications features freeze (-rc3): 14 November 2023
-- Release: 23 November 2023
-
 #### 24.03
 
 - Proposal deadline (RFC/v1 patches): 22 December 2023